> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-tax-rates.md).

# Settings   Tax Rates

## GET /settings/taxRates

> List Tax Rates

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"TaxRate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the tax rate."},"description":{"type":"string","description":"The description of the tax rate."},"rate":{"type":"number","description":"The tax rate percentage (e.g., 20 for 20%)."},"isDefault":{"type":"boolean","description":"Indicates if this is included on new quotes by default."}},"required":["id","rate"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/taxRates":{"get":{"summary":"List Tax Rates","operationId":"listTaxRates","tags":["Settings - Tax Rates"],"responses":{"200":{"description":"List of tax rates","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/TaxRate"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /settings/taxRates

> Create Tax Rate

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"TaxRateCreate":{"type":"object","additionalProperties":false,"properties":{"description":{"type":"string","description":"The description of the tax rate."},"rate":{"type":"number","description":"The tax rate percentage (e.g., 20 for 20%)."},"isDefault":{"type":"boolean","description":"Indicates if this is included on new quotes by default."}},"required":["rate"]},"TaxRate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the tax rate."},"description":{"type":"string","description":"The description of the tax rate."},"rate":{"type":"number","description":"The tax rate percentage (e.g., 20 for 20%)."},"isDefault":{"type":"boolean","description":"Indicates if this is included on new quotes by default."}},"required":["id","rate"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/taxRates":{"post":{"summary":"Create Tax Rate","operationId":"createTaxRate","tags":["Settings - Tax Rates"],"requestBody":{"description":"Data for creating a new tax rate","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxRateCreate"}}}},"responses":{"200":{"description":"Successfully created tax rate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxRate"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"Conflict - Tax Rate already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /settings/taxRates/{id}

> Retrieve Tax Rate

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"TaxRate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the tax rate."},"description":{"type":"string","description":"The description of the tax rate."},"rate":{"type":"number","description":"The tax rate percentage (e.g., 20 for 20%)."},"isDefault":{"type":"boolean","description":"Indicates if this is included on new quotes by default."}},"required":["id","rate"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/taxRates/{id}":{"get":{"summary":"Retrieve Tax Rate","operationId":"getTaxRate","tags":["Settings - Tax Rates"],"parameters":[{"name":"id","in":"path","description":"ID of the Tax Rate","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the tax rate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxRate"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /settings/taxRates/{id}

> Update Tax Rate

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"TaxRate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the tax rate."},"description":{"type":"string","description":"The description of the tax rate."},"rate":{"type":"number","description":"The tax rate percentage (e.g., 20 for 20%)."},"isDefault":{"type":"boolean","description":"Indicates if this is included on new quotes by default."}},"required":["id","rate"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/taxRates/{id}":{"put":{"summary":"Update Tax Rate","operationId":"updateTaxRate","tags":["Settings - Tax Rates"],"parameters":[{"name":"id","in":"path","description":"ID of the Tax Rate","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated tax rate data","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxRate"}}}},"responses":{"200":{"description":"Successfully updated tax rate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxRate"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /settings/taxRates/{id}

> Delete Tax Rate

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/taxRates/{id}":{"delete":{"summary":"Delete Tax Rate","operationId":"deleteTaxRate","tags":["Settings - Tax Rates"],"parameters":[{"name":"id","in":"path","description":"ID of the Tax Rate","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Tax Rate successfully deleted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/settings-tax-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
